Support » Plugin: Jetpack by WordPress.com » Getting Error while upgrading to 7.5.2

  • Resolved manojmohandev

    (@manojmohandev)


    Getting following error while upgrading Jetpack to 7.5.2

    [<timestamp>] [error] [<pid>:<tid>] [client <ip>] AH01071: Got error 'PHP message: PHP Error:  Class 'Automattic\\Jetpack\\Connection\\Client' not found in <public_dir>/wp-content/plugins/jetpack/class.jetpack-ixr-client.php on line 38\nPHP message: PHP Stack trace:\nPHP message: PHP   1. shutdown_action_hook() <public_dir>/wp-includes/load.php:0\nPHP message: PHP   2. do_action() <public_dir>/wp-includes/load.php:954\nPHP message: PHP   3. WP_Hook->do_action() <public_dir>/wp-includes/plugin.php:465\nPHP message: PHP   4. WP_Hook->apply_filters() <public_dir>/wp-includes/class-wp-hook.php:310\nPHP message: PHP   5. Jetpack_Sync_Sender->do_sync() <public_dir>/wp-includes/class-wp-hook.php:286\nPHP message: PHP   6. Jetpack_Sync_Sender->do_sync_and_set_delays() <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-sender.php:106\nPHP message: ', referer: https://<domain>/wp-admin/update-core.php?action=do-plugin-upgrade
    [<timestamp>] [error] [<pid>:<tid>] [client <ip>] AH01071: Got error 'PHP   7. Jetpack_Sync_Sender->do_sync_for_queue() <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-sender.php:124\nPHP message: PHP   8. apply_filters() <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-sender.php:244\nPHP message: PHP   9. WP_Hook->apply_filters() <public_dir>/wp-includes/plugin.php:208\nPHP message: PHP  10. Jetpack_Sync_Actions::send_data() <public_dir>/wp-includes/class-wp-hook.php:286\nPHP message: PHP  11. Jetpack_IXR_Client->query() <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-actions.php:191\n', referer: https://<domain>/wp-admin/update-core.php?action=do-plugin-upgrade
    [<timestamp>] [error] [<pid>:<tid>] [client <ip>] AH01071: Got error 'PHP message: PHP Fatal error:  Uncaught Error: Class 'Automattic\\Jetpack\\Connection\\Client' not found in <public_dir>/wp-content/plugins/jetpack/class.jetpack-ixr-client.php:38\nStack trace:\n#0 <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-actions.php(191): Jetpack_IXR_Client->query('jetpack.syncAct...', Array)\n#1 <public_dir>/wp-includes/class-wp-hook.php(286): Jetpack_Sync_Actions::send_data(Array, 'deflate-json-ar...', 1562571922.9649, 'sync', 0.0019340515136719, 0.008922815322876)\n#2 <public_dir>/wp-includes/plugin.php(208): WP_Hook->apply_filters(Array, Array)\n#3 <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-sender.php(244): apply_filters('jetpack_sync_se...', Array, 'deflate-json-ar...', 1562571922.9649, 'sync', 0.0019340515136719, 0.008922815322876)\n#4 <public_dir>/wp-content/plugins/jetpack/sync/class.jetpack-sync-sender.php(12...\n', referer: https://<domain>/wp-admin/update-core.php?action=do-plugin-upgrade
    
Viewing 1 replies (of 1 total)
  • Plugin Support KokkieH

    (@kokkieh)

    Hi there,

    Please try deleting the Jetpack folder completely via FTP, and then reinstall from scratch. As these are PHP errors, also make sure you’re on at least PHP 5.6, as that’s the minimum version compatible with Jetpack as of the 7.5 release last week.

    If it still gives those errors, please try disabling all other plugins and see if that works. If it does, there’s likely a conflict between Jetpack and another plugin on your site.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.